<!doctype html public "-/w3c/dtd html 4.0 transitional/en">
<html>
<head>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
   <meta name="GENERATOR" content="Mozilla/4.5 [en] (X11; I; SunOS 5.6 sun4u) [Netscape]">
   <title>LDAS CIT database Insertion Rates</title>
</head>
<body>

<pre><b><font size=-1>LDAS CIT Database Insertion Rates</font></b></pre>
<font size=-2>
<table cellpadding=1>
<tr>
    <th align=left width=150>Test Period</th>
    <td>February 23th, 2000</td>
</tr>
<tr>
    <th align=left width=150>Input data</th>
    <td>Ilwd with dimensions 100</td>
    <td>
</tr>
<tr>
    <th align=left width=150>Platform</th>
    <td>metaserver.ligo.caltech.edu (SUN 450, 4 CPUs, RAM=1024MB, Solaris 2.7)</td>
    <td>
</tr>
<tr>
    <th align=left width=150>LDAS software</th>
    <td>ldas-0.0.9, IBM DB2 6.1</td>
    <td>
</tr>
</table></font>

<pre><i><font size=-1>Results are displayed in the order inserted.</i></font></pre>

<table border type=1><font size=-1>
<tr>
    <th align=left width=200>Table</th>
    <th width=100>#rows per block insert</th>
    <th width=100>CPU time (secs)</th>
    <th width=100>Wall Time (secs)</th>
    <th width=100>Rate (#rows/sec)</th>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">process</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.23</td>
    <td align=right bgcolor="#ffe6cd">0.386</td>
    <td align=right bgcolor="#ffe6cd">259.06</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">process_params</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.18</td>
    <td align=right bgcolor="#ffe6cd">0.247</td>
    <td align=right bgcolor="#ffe6cd">404.86</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">frameset_chanlist</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.11</td>
    <td align=right bgcolor="#ffe6cd">0.292</td>
    <td align=right bgcolor="#ffe6cd">342.47</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">frameset_writer</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.20</td>
    <td align=right bgcolor="#ffe6cd">0.337</td>
    <td align=right bgcolor="#ffe6cd">296.74</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">frameset</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.16</td>
    <td align=right bgcolor="#ffe6cd">0.250</td>
    <td align=right bgcolor="#ffe6cd">400.00</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">frameset_loc</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.22</td>
    <td align=right bgcolor="#ffe6cd">0.307</td>
    <td align=right bgcolor="#ffe6cd">325.73</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">segment_definer</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.18</td>
    <td align=right bgcolor="#ffe6cd">0.269</td>
    <td align=right bgcolor="#ffe6cd">371.75</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">segment</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.10</td>
    <td align=right bgcolor="#ffe6cd">0.180</td>
    <td align=right bgcolor="#ffe6cd">555.56</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">summ_value</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.23</td>
    <td align=right bgcolor="#ffe6cd">0.354</td>
    <td align=right bgcolor="#ffe6cd">282.49</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">summ_statistics</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.19</td>
    <td align=right bgcolor="#ffe6cd">0.384</td>
    <td align=right bgcolor="#ffe6cd">260.42</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">summ_comment</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.28</td>
    <td align=right bgcolor="#ffe6cd">0.469</td>
    <td align=right bgcolor="#ffe6cd">215.98</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">summ_spectrum</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.00</td>
    <td align=right bgcolor="#ffe6cd">0.00</td>
    <td align=right bgcolor="#ffe6cd">0.00</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">filter</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.14</td>
    <td align=right bgcolor="#ffe6cd">0.289</td>
    <td align=right bgcolor="#ffe6cd">215.98</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">filter_params</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.17</td>
    <td align=right bgcolor="#ffe6cd">0.252</td>
    <td align=right bgcolor="#ffe6cd">396.83</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">gds_trigger</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.24</td>
    <td align=right bgcolor="#ffe6cd">0.438</td>
    <td align=right bgcolor="#ffe6cd">228.31</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">sngl_inspiral</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.18</td>
    <td align=right bgcolor="#ffe6cd">0.358</td>
    <td align=right bgcolor="#ffe6cd">279.33</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">sngl_burst</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.14</td>
    <td align=right bgcolor="#ffe6cd">0.332</td>
    <td align=right bgcolor="#ffe6cd">301.20</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">sngl_ringdown</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.15</td>
    <td align=right bgcolor="#ffe6cd">0.345</td>
    <td align=right bgcolor="#ffe6cd">289.86</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">sngl_unmodeled</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.18</td>
    <td align=right bgcolor="#ffe6cd">0.355</td>
    <td align=right bgcolor="#ffe6cd">281.69</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">sngl_unmodeled_v</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.13</td>
    <td align=right bgcolor="#ffe6cd">0.189</td>
    <td align=right bgcolor="#ffe6cd">529.10</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">sngl_dperiodic</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.16</td>
    <td align=right bgcolor="#ffe6cd">0.375</td>
    <td align=right bgcolor="#ffe6cd">266.67</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">sngl_datasource</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.18</td>
    <td align=right bgcolor="#ffe6cd">0.255</td>
    <td align=right bgcolor="#ffe6cd">392.16</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">sngl_transdata</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.00</td>
    <td align=right bgcolor="#ffe6cd">0.00</td>
    <td align=right bgcolor="#ffe6cd">0.00</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">multi_inspiral</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.17</td>
    <td align=right bgcolor="#ffe6cd">0.354</td>
    <td align=right bgcolor="#ffe6cd">282.49</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">multi_burst</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.16</td>
    <td align=right bgcolor="#ffe6cd">0.351</td>
    <td align=right bgcolor="#ffe6cd">284.90</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">coinc_sngl</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.28</td>
    <td align=right bgcolor="#ffe6cd">0.634</td>
    <td align=right bgcolor="#ffe6cd">157.73</td>
</tr>
</table></font>
<p>Summary: 
<ol>
<li>Insertion rate is generally about 1.25-1.50 times faster  
due to improvement in the object space library handling of arrays.</li>
<p>
<li>Insertion for tables <i>summ_spectrum</i> and <i>sngl_transdata</i> are not
available for now due to a bug in the metadataAPI that rejects blob data.
</li>
</body>
</html>

